Package org.jdesktop.application.session

# Class SplitPaneState

java.lang.Object
org.jdesktop.application.session.SplitPaneState

public class SplitPaneState extends Object
This Java Bean records the `dividerLocation` and `orientation` properties of a `JSplitPane`. A `SplitPaneState` object created by `SplitPaneProperty.getSessionState(java.awt.Component)` and used to restore the selected tab by `SplitPaneProperty.setSessionState(java.awt.Component, java.lang.Object)`.

See Also:
  - `SplitPaneProperty`
  - `SessionStorage.save(java.awt.Component, java.lang.String)`
  - `SessionStorage.restore(java.awt.Component, java.lang.String)`

## Constructor Summary

Constructors
Constructor
Description
`SplitPaneState()`
`SplitPaneState(int dividerLocation, int orientation)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDividerLocation()`
`int`
`getOrientation()`
`void`
`setDividerLocation(int dividerLocation)`
`void`
`setOrientation(int orientation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SplitPaneState

public SplitPaneState()

### SplitPaneState

public SplitPaneState(int dividerLocation, int orientation)

## Method Details

### getDividerLocation

public int getDividerLocation()

### setDividerLocation

public void setDividerLocation(int dividerLocation)

### getOrientation

public int getOrientation()

### setOrientation

public void setOrientation(int orientation)